/*************************************************************************************************************
This file contains warning functions
2012/6 by Dlxko
**************************************************************************************************************/
#include "Warnings.h"

void function_show_warning(char msg[400])
{
	// Show message
	std::cout << color(FOREGROUND_RED|FOREGROUND_BLUE) << "!Warning!: "
			  << color(FOREGROUND_RED|FOREGROUND_BLUE) << msg << white << endl;
	
}

void function_show_error(char msg[400])
{
	// Just show message
	std::cout << color(FOREGROUND_RED|FOREGROUND_RED) << "!Error!: "
	    	  << color(FOREGROUND_RED|FOREGROUND_RED) << msg << white << endl;
	
	// Wait 10s
	Sleep(10000);

	// Exit server
	exit(1);
}

void function_show_ready(char msg[400])
{
	// Just show message
	std::cout << color(FOREGROUND_GREEN|FOREGROUND_GREEN) << "!Ready!: "
	    	  << color(FOREGROUND_GREEN|FOREGROUND_GREEN) << msg << white << endl;
}